// -*- c++ -*-

/*
 *  Author: Arvin Schnell
 */


#ifndef pcm_alsa_h
#define pcm_alsa_h


#define ALSA_PCM_OLD_HW_PARAMS_API

#include <alsa/asoundlib.h>

#include "pcm.h"


class ALSA : public PCM
{

public:

    ALSA (const char* name, pcm_mode_t mode, pcm_format_t format,
	  int channels, int rate, int buffer_size);
    ~ALSA ();

    void info ();

    bool read (void* buffer, int frames);
    bool write (void* buffer, int frames);

private:

    snd_pcm_t* handle;

};


#endif
