// -*- c++ -*-

/*
 *  Author: Arvin Schnell
 */


#ifndef pcm_oss_h
#define pcm_oss_h


#include "pcm.h"


class OSS : public PCM
{

public:

    OSS (const char* name, pcm_mode_t mode, pcm_format_t format,
	 int channels, int rate, int buffer_size);
    ~OSS ();

    void info ();

    bool read (void* buffer, int frames);
    bool write (void* buffer, int frames);

private:

    int fd;

};


#endif
