#
# spec file for package xanalyser
#

# norootforbuild
# neededforbuild  autoconf automake gpp libgpp openmotif openmotif-devel xf86 xpm alsa alsa-devel

Name:         xanalyser
Copyright:    GPL
Group:        Sound
Version:      1.24
Release:      0
Summary:      xanalyser
Source:       %{name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
xanalyser

Author:
-------
    Arvin Schnell

%prep
%setup

%build

export CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG"

aclocal
libtoolize --force --automake --copy
autoheader
automake --add-missing --copy
autoconf

./configure --prefix=/usr --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
/usr/bin/xanalyser
%doc %{_mandir}/man1/xanalyser.1.gz
%config /usr/X11R6/lib/X11/app-defaults/XAnalyser

%changelog -n xanalyser
